### Name: genome.plot
### Title: Display a pan-genomic representation of a normalized arrayCGH
### Aliases: genome.plot genome.plot.default genome.plot.arrayCGH


### ** Examples

data(spatial)

## default color code: log-ratios
genome.plot(edge.norm, chrLim="LimitChr")

## color code determined by a qualitative variable: ZoneGNL (DNA copy number code)
edge.norm$cloneValues$ZoneGNL <- as.factor(edge.norm$cloneValues$ZoneGNL)
genome.plot(edge.norm, col.var="ZoneGNL")

## comparing profiles with and without normalization
## aggregate data without normalization (flags)

gradient.nonorm <- norm.arrayCGH(gradient, flag.list=NULL, var="LogRatio",
FUN=median, na.rm=TRUE)
gradient.nonorm <- sort.arrayCGH(gradient.nonorm)

layout(matrix(1:2,2,1))
genome.plot(gradient.nonorm, pch=20, main="Genomic profile without
normalization", chrLim="LimitChr")   
genome.plot(gradient.norm, pch=20, main="Genomic profile with
normalization", chrLim="LimitChr")   



